Bug 20099 - [XT3TS] as-2001 and others
[XT3TS] as-2001 and others
Status: CLOSED FIXED
Product: XPath / XQuery / XSLT
Classification: Unclassified
Component: XSLT 3.0 Test Suite
Working drafts
PC Windows 3.1
: P2 normal
: ---
Assigned To: Abel Braaksma
Mailing list for public feedback on specs from XSL and XML Query WGs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-27 14:47 UTC by Tim Mills
Modified: 2012-12-13 10:30 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Mills 2012-11-27 14:47:38 UTC
The (inline) expected result contain unexpected whitespace in the following tests.

as-2001	
as-2002	
as-2301	
as-2401	
as-2501
Comment 1 Michael Kay 2012-11-27 15:42:55 UTC
Yes, that agrees with my list.

I've been working hard to eliminate these whitespace discrepancies whereever possible. I think there are a few cases where it's going to be difficult to do except by publishing the result as a large single-line document, which probably isn't very helpful. I'm leaning towards handling the remaining tests by marking them (assert-xml indented="yes") with the meaning that the expected result file should be transformed by removing all whitespace text nodes before the comparison.
Comment 2 Tim Mills 2012-11-27 17:22:07 UTC
backwards-043 has a similar problem.
Comment 3 Michael Kay 2012-12-11 22:55:50 UTC
Whitespace in the expected results of these tests has been fixed.
Comment 4 Tim Mills 2012-12-13 10:30:13 UTC
Confirmed fixed.  Thanks.